=== debian/changelog ===
itinerary (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build depends.
  * Update qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:53:32 +0000
