=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                extra-cmake-modules (>= 6.6~),
                iso-codes <!nocheck>,
                kirigami-addons-dev (>= 1.5.0~),
-               kosmindoormap-dev (>= 25.11.80~),
+               kosmindoormap-dev (>= 25.11.90~),
                libical-dev (>= 3.0~),
                libkf6archive-dev (>= 6.6~),
                libkf6calendarcore-dev (>= 6.6~),
@@ -33,9 +33,9 @@
                libkf6unitconversion-dev (>= 6.6~),
                libkf6windowsystem-dev (>= 6.6~),
                libkirigami-dev (>= 6.6~),
-               libkitinerary-dev (>= 25.11.80~),
-               libkpkpass-dev (>= 25.11.80~),
-               libkpublictransport-dev (>= 25.11.80~),
+               libkitinerary-dev (>= 25.11.90~),
+               libkpkpass-dev (>= 25.11.90~),
+               libkpublictransport-dev (>= 25.11.90~),
                libquotient-dev (>= 0.7.2~),
                libssl-dev,
                locales-all <!nocheck>,
