## itinerary 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -55,8 +55,8 @@
 endif()
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays UnitConversion)
 find_package(KF6KirigamiAddons 1.9.0 REQUIRED)
-find_package(KPim6PkPass 6.5.90 CONFIG REQUIRED)
-find_package(KPim6Itinerary 6.5.90 CONFIG REQUIRED)
+find_package(KPim6PkPass 6.6.0 CONFIG REQUIRED)
+find_package(KPim6Itinerary 6.6.0 CONFIG REQUIRED)
 find_package(KPublicTransport ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KOSMIndoorMap ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KHealthCertificate ${GEAR_MIN_VERSION} CONFIG)
