## itinerary 25.12.0+p24.04+vstable+git20251231.0353

=== debian/changelog ===
itinerary (25.12.0+p24.04+vstable+git20251231.0353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:53:31 +0000

itinerary (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:57 +1000

itinerary (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:46:25 +1000
