## itinerary 25.12.0+p24.04+vstable+git20260103.0545

=== debian/changelog ===
itinerary (25.12.0+p24.04+vstable+git20260103.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:45:27 +0000
