## itinerary 25.12.0+p24.04+vstable+git20260104.0129

=== debian/changelog ===
itinerary (25.12.0+p24.04+vstable+git20260104.0129-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:29:24 +0000
