## itinerary 25.12.0+p24.04+vunstable+git20260105.1444

=== debian/changelog ===
itinerary (25.12.0+p24.04+vunstable+git20260105.1444-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 14:44:39 +0000
