=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
     clipboard.cpp
     costaccumulator.cpp
     countrysubdivisionmodel.cpp
+    datetimehelper.cpp
     documentmanager.cpp
     documentsmodel.cpp
     downloadjob.cpp
@@ -439,4 +440,3 @@
     target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
     target_link_libraries(itinerary-app PRIVATE
         KF6::DBusAddons
-        KF6::WindowSystem
