=== debian/changelog ===
itinerary (25.12.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Upload to unstable (Closes: #1125730).
  * Re-enable tests.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 22:08:39 +0100

itinerary (25.12.1-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Update project homepage.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Refresh patches.
  * Refresh qmldeps overrides.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.
  * Refresh copyright information.
  * Add missing runtime dependency on qml6-module-org-kde-pkpass.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 17:40:50 +0100

itinerary (24.12.3-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Allow tests to fail everywhere (Closes: #1122008).

 -- Patrick Franz <deltaone@debian.org>  Fri, 05 Dec 2025 18:12:23 +0100
