=== debian/control ===
Source: itinerary
Section: misc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Scarlett Moore <sgclark@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               dbus-tests <!nocheck>,
               extra-cmake-modules (>= 6.15~),
               iso-codes <!nocheck>,
               kirigami-addons-dev (>= 1.9.0~),
               kosmindoormap-dev (>= 25.08~),
               libical-dev (>= 3.0~),
               libkf6archive-dev (>= 6.15~),
               libkf6calendarcore-dev (>= 6.15~),
               libkf6colorscheme-dev (>= 6.15~),
               libkf6contacts-dev (>= 6.15~),
               libkf6coreaddons-dev (>= 6.15~),
               libkf6crash-dev (>= 6.15~),
               libkf6dbusaddons-dev (>= 6.15~),
               libkf6filemetadata-dev (>= 6.15~),
               libkf6holidays-dev (>= 6.15~),
               libkf6i18n-dev (>= 6.15~),
               libkf6kio-dev (>= 6.15~),
               libkf6networkmanagerqt-dev (>= 6.6~),
               libkf6notifications-dev (>= 6.15~),
               libkf6prison-dev (>= 6.15~),
               libkf6qqc2desktopstyle-dev (>= 6.15~),
               libkf6solid-dev (>= 6.15~),
               libkf6unitconversion-dev (>= 6.15~),
               libkf6windowsystem-dev (>= 6.15~),
               libkirigami-dev (>= 6.15~),
               libkitinerary-dev (>= 25.12.0~),
               libkpkpass-dev (>= 25.12.0~),
               libkpublictransport-dev (>= 25.08~),
               libquotient-dev (>= 0.9.0~),
               libssl-dev,
               locales-all <!nocheck>,
               qcoro-qt6-dev,
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.7~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.7~),
               qt6-declarative-private-dev,
               qt6-positioning-dev (>= 6.7~),
               qt6-svg-dev,
               qtkeychain-qt6-dev,
               shared-mime-info (>= 1.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.3
Homepage: https://apps.kde.org/itinerary/
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/itinerary.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/itinerary

Package: itinerary
Architecture: any
Depends: qml6-module-org-kde-pkpass,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Digital travel assistant protecting your privacy
 Getting your itinerary presented in a unified, well structured and always up
 to date fashion rather than advertisement overloaded HTML email monstrosities
 or countless vendor-specific apps.
