## itinerary 25.12.1+p24.04+vstable+git20260109.0022

=== debian/changelog ===
itinerary (25.12.1+p24.04+vstable+git20260109.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 00:22:58 +0000
