## itinerary 25.12.1+p24.04+vunstable+git20260204.0042

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(itinerary VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -31,7 +31,6 @@
 include(ECMFeatureSummary)
 include(ECMAddAndroidApk)
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -55,8 +54,8 @@
 endif()
 find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS I18n CoreAddons Contacts Notifications CalendarCore Holidays UnitConversion)
 find_package(KF6KirigamiAddons 1.9.0 REQUIRED)
-find_package(KPim6PkPass 6.6.0 CONFIG REQUIRED)
-find_package(KPim6Itinerary 6.6.0 CONFIG REQUIRED)
+find_package(KPim6PkPass 6.5.41 CONFIG REQUIRED)
+find_package(KPim6Itinerary 6.6.40 CONFIG REQUIRED)
 find_package(KPublicTransport ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KOSMIndoorMap ${GEAR_MIN_VERSION} CONFIG REQUIRED)
 find_package(KHealthCertificate ${GEAR_MIN_VERSION} CONFIG)
@@ -67,6 +66,7 @@
 find_package(QuotientQt6 0.9.0 CONFIG)
 find_package(SeleniumWebDriverATSPI)
 find_package(QCoro6 REQUIRED COMPONENTS Core Network)
+find_package(QMapLibre COMPONENTS Core Location)
 
 set_package_properties("ZLIB" PROPERTIES PURPOSE "Needed for retrieving weather forecast data.")
 set_package_properties(LibIcal PROPERTIES PURPOSE "Needed for Android calendar integration.")
@@ -114,7 +114,15 @@
 else()
     set(HAVE_MATRIX FALSE)
 endif()
+if (QMapLibre_FOUND)
+    set(HAVE_MAPLIBRE TRUE)
+endif()
 
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
 ecm_set_disabled_deprecation_versions(
     QT ${QT_MIN_VERSION}
     KF 6.12
