=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,8 @@
 ecm_add_test(costaccumulatortest.cpp LINK_LIBRARIES Qt::Test itinerary)
 ecm_add_test(localizertest.cpp LINK_LIBRARIES Qt::Test itinerary)
 ecm_add_test(utiltest.cpp LINK_LIBRARIES Qt::Test itinerary)
+ecm_add_test(tickettokenmodeltest.cpp LINK_LIBRARIES Qt::Test itinerary)
+ecm_add_test(reservationonlinepostprocessortest.cpp mocknetworkaccessmanager.cpp TEST_NAME reservationonlinepostprocessortest LINK_LIBRARIES Qt::Test itinerary)
 
 ecm_add_test(weathertest.cpp LINK_LIBRARIES Qt::Test itinerary-weather)
 target_include_directories(weathertest PRIVATE ${CMAKE_BINARY_DIR})
