=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -177,6 +177,7 @@
         ProgramMembershipEditorCard.qml
         ProgramMembershipEditor.qml
         ProgramMembershipPage.qml
+        ReservationDeletionDialog.qml
         ReservationDocumentsCard.qml
         RestaurantDelegate.qml
         RestaurantEditor.qml
@@ -241,6 +242,7 @@
     itinerary-weather
     itinerary-weatherplugin
     SolidExtras
+    SolidExtrasplugin
     GpxIo
     KPublicTransport
     KPublicTransportOnboard
@@ -265,6 +267,14 @@
     Qt::CorePrivate
     Qt6Keychain::Qt6Keychain
 )
+
+if (QMapLibre_FOUND)
+    target_link_libraries(itinerary PUBLIC
+        QMapLibre::Core
+        QMapLibre::Location
+)
+endif()
+
 if (HAVE_MATRIX)
     target_link_libraries(itinerary PUBLIC KMatrix)
 endif()
@@ -285,6 +295,7 @@
 
     images/images.qrc
 )
+
 target_include_directories(itinerary-app PRIVATE ${CMAKE_BINARY_DIR})
 target_link_libraries(itinerary-app PRIVATE
     itinerary
@@ -435,8 +446,3 @@
     )
 
     ecm_add_android_apk(itinerary-app ANDROID_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android)
-    install(FILES sc-apps-org.kde.itinerary.svg  DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/breeze-internal/icons/ RENAME org.kde.itinerary.svg)
-else ()
-    target_link_libraries(itinerary PRIVATE Qt::Positioning Qt::DBus Qt::Widgets)
-    target_link_libraries(itinerary-app PRIVATE
-        KF6::DBusAddons
