=== debian/changelog ===
itinerary (25.12.1+p24.04+vunstable+git20260204.0042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:42:08 +0000
